Bug 828718 - While running yum install, yum throws the following error:
While running yum install, yum throws the following error:
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.10
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:04 EDT by Sirvesh
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 11:09:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sirvesh 2012-06-05 05:04:50 EDT
Description of problem:


Version-Release number of selected component (if applicable):
[root@linux2 ~]# uname -a
Linux linux2 2.6.18-194.el5 #1 SMP Fri Apr 2 14:58:14 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

[root@linux2 ~]# yum install openldap
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp.iitm.ac.in
 * extras: ftp.iitm.ac.in
 * rpmforge: mirror-fpt-telecom.fpt.net
 * updates: ftp.iitm.ac.in
Setting up Install Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: openldap = 2.3.43-12.el5 for package: openldap-servers
--> Processing Dependency: openldap = 2.3.43-12.el5 for package: openldap-clients
---> Package openldap.i386 0:2.3.43-25.el5 set to be updated
---> Package openldap.x86_64 0:2.3.43-25.el5 set to be updated
--> Running transaction check
---> Package openldap-clients.x86_64 0:2.3.43-25.el5 set to be updated
---> Package openldap-servers.x86_64 0:2.3.43-25.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================================
 Package                                          Arch                                   Version                                          Repository                            Size
=====================================================================================================================================================================================
Updating:
 openldap                                         i386                                   2.3.43-25.el5                                    base                                 298 k
 openldap                                         x86_64                                 2.3.43-25.el5                                    base                                 306 k
Updating for dependencies:
 openldap-clients                                 x86_64                                 2.3.43-25.el5                                    base                                 224 k
 openldap-servers                                 x86_64                                 2.3.43-25.el5                                    base                                 2.2 M

Transaction Summary
=====================================================================================================================================================================================
Install       0 Package(s)
Upgrade       4 Package(s)

Total size: 3.0 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
openldap is needed by (installed) openldap-servers-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-clients-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-servers-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-clients-2.3.43-12.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
  
Actual results:
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
openldap is needed by (installed) openldap-servers-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-clients-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-servers-2.3.43-12.el5.i386
openldap is needed by (installed) openldap-clients-2.3.43-12.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:
Openldap should get install.

Additional info:
Comment 1 Zdeněk Pavlas 2013-04-04 11:09:39 EDT
I assume that your rpmdb is corrupt in some way, so that rpm can't lookup the provides correctly.

 Eg. try:

rpm -q --provides openldap
rpm -q --whatprovides openldap

...if the first shows php and the second doesn't, try:

rpm --rebuilddb

Note You need to log in before you can comment on or make changes to this bug.